import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:jeweled/cubit/game_cubit.dart';

class GameEndWidget extends StatelessWidget {
  const GameEndWidget({super.key});

  @override
  Widget build(BuildContext context) {
    const String decorationImageAssetName = 'assets/ui/placeholder.png';

    const Widget decorationWidget = TextButton(
      onPressed: null,
      child: Image(
        image: AssetImage(decorationImageAssetName),
        fit: BoxFit.fill,
      ),
    );

    return Table(
      defaultColumnWidth: const IntrinsicColumnWidth(),
      children: [
        TableRow(
          children: [
            const Column(
              children: [decorationWidget],
            ),
            Column(
              children: [
                TextButton(
                  child: const Image(
                    image: AssetImage('assets/ui/button_back.png'),
                    fit: BoxFit.fill,
                  ),
                  onPressed: () {
                    BlocProvider.of<GameCubit>(context).quitGame();
                  },
                )
              ],
            ),
            const Column(
              children: [decorationWidget],
            ),
          ],
        ),
      ],
    );
  }
}
